Subject: bug#77945: [PATCH] Add optional inherit argument to 'face-all-attributes'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Apr 2025 17:34:51 +0300

> From: Ship Mints <[email-masked]>
> Date: Mon, 21 Apr 2025 09:34:07 -0400
> Cc: [email-masked]
> 
>  >  Doesn't describe-face already satisfy that need?
>  > 
>  > I wanted a programmatic API where I could "diff" output.
> 
>  Sorry, I don't understand.  describe-face produces a buffer that can
>  be diff'ed, right?
> 
> I meant "diff" (hence my use of quotes) in the compare two lists programmatically sense.

I still don't understand. Lists are not the only data types that can
be diff'ed.

> The output of
> 'describe-face' also seems not to have alternatives to enable/disable inheritance, not that it helps with
> programmatic comparisons.

If the 'inherit' attribute is non-nil, describe-face shows a link to
the inherited face, and you can follow it.